#include<iostream>
#include<cmath>
using namespace std;
int main(){
	unsigned N,A[3000],B[3000];
	int i=0,l,k=0,br=0,p=0,x=0,B1,pok=0,is=0;
	cin>>N;
	while(N>0){
		A[i]=N%10;
		i++;
		N=N/10;
		k++;
	}
	for(int j=0;j<k;j++){
		l=j+1;
		while(A[l]==A[j]){
			A[j]=A[l];
			j=l;
			l++;
		}
		B[x]=A[j];
		x++;
	}
	for(int po=0;po<x-1;po++){
		for(int pop=po+1;pop<x;pop++){
			if(B[po]==B[pop] && (po+1)!=pop){
				br++;
				if(B[po+1]==B1)br--;
				B1=B[po];
			}
		}
	}
	cout<<br;
	return 0;
}